<?php

declare( strict_types=1 );

namespace Soft_Tehnica\Freya_Sync_Service\Data;

use DateTime;
use WP_Term;

defined( 'ABSPATH' ) || exit;

class CategoryAvailabilityDay
{

    public WP_Term $category;
    public bool $open;
    public ?DateTime $start;
    public ?DateTime $end;

    public function __construct(
        WP_Term $category,
        bool $open,
        ?DateTime $start,
        ?DateTime $end
    ) {
        $this->category = $category;
        $this->open     = $open;
        $this->start    = $start;
        $this->end      = $end;
    }
}
